# Wi-Fi signal strength

A decision block that checks Wi-Fi signal strength.

If the proceed option is set to Immediately, then check the current signal strength without pausing the fiber. If set to When changed, then the fiber will pause until the signal strength has changes to within the range, or it’s no longer within the range.

If both minimum signal strength and maximum signal strength is set and doesn’t evaluate to `null` then the signal strength must be within the strength range. If only minimum is set, then the signal strength must be greater than or equal to it. If only maximum is set, then the signal strength must be less than or equal to it. If neither minimum nor maximum is set, then the current signal strength is just assigned to the current level variable without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Minimum signal strength — minimum signal strength in percent.
- Maximum signal strength — maximum signal strength in percent.

## Output variables

- Current signal strength — variable to assign the current signal strength in percent, or 0 percent if Wi-Fi is disabled.